Bug 804230 - 'bool' object is unsubscriptable when synchronizing provider
'bool' object is unsubscriptable when synchronizing provider
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Og Maciel
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 18:54 EDT by Og Maciel
Modified: 2014-01-27 09:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 15:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Katello CLI Goatpath (1.72 KB, application/x-shellscript)
2012-03-16 18:54 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-03-16 18:54:55 EDT
Created attachment 570730 [details]
Katello CLI Goatpath

Description of problem:

While synchronizing a provider via the cli (see attached script to see how things were configured/set up), I saw the following error message:

Successfully created changeset [ Promotezoo ] for environment [ Dev1 ]
Successfully created repository [ repo1 ]
Progress: [##################################################] 100.0%error: 'bool' object is unsubscriptable (more in the log file)

Version-Release number of selected component (if applicable):

* candlepin-0.5.26-1.el6.noarch
* candlepin-tomcat6-0.5.26-1.el6.noarch
* katello-0.1.304-1.el6.noarch
* katello-all-0.1.304-1.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.4-1.el6.noarch
* katello-cli-0.1.105-1.el6.noarch
* katello-cli-common-0.1.105-1.el6.noarch
* katello-common-0.1.304-1.el6.noarch
* katello-configure-0.1.106-1.el6.noarch
* katello-glue-candlepin-0.1.304-1.el6.noarch
* katello-glue-foreman-0.1.304-1.el6.noarch
* katello-glue-pulp-0.1.304-1.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.9-1.el6.noarch
* pulp-1.0.0-5.el6.noarch
* pulp-common-1.0.0-5.el6.noarch
* pulp-selinux-server-1.0.0-5.el6.noarch

How reproducible:


Steps to Reproduce:
1. Run the attached script.
2.
3.
  
Actual results:


Expected results:


Additional info:

/var/log/katello/client.log:

2012-03-16 17:57:55,786 [ERROR][MainThread] error() @ base.py:185 - 'bool' object is unsubscriptable
2012-03-16 17:57:55,787 [ERROR][MainThread] error() @ base.py:186 - Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/katello/client/cli/base.py", line 227, in main
    return command.main(command_args)
  File "/usr/lib/python2.6/site-packages/katello/client/core/base.py", line 150, in main
    return action.main(args[1:])
  File "/usr/lib/python2.6/site-packages/katello/client/core/base.py", line 369, in main
    return self.run()
  File "/usr/lib/python2.6/site-packages/katello/client/core/provider.py", line 221, in run
    return self.sync_provider(provName, orgName)
  File "/usr/lib/python2.6/site-packages/katello/client/core/provider.py", line 232, in sync_provider
    errors = [t["result"]['errors'][0] for t in task.get_hashes() if t['state'] == 'error']
TypeError: 'bool' object is unsubscriptable
Comment 1 Og Maciel 2012-03-16 18:55:20 EDT
Fixed version number.
Comment 3 James Laska 2012-03-21 15:38:58 EDT
Just hit this using beta5 ... adding qa_ack and requesting as a blocker.  This is a regression from beta4.

 * candlepin-0.5.26-1.el6.src.rpm
 * katello-0.1.304-1.el6.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.0.4-1.el6.src.rpm
 * katello-cli-0.1.104-1.el6.src.rpm
 * katello-configure-0.1.104-1.el6.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.8-1.el6.src.rpm
 * pulp-1.0.0-4.el6.src.rpm
Comment 4 Brad Buckingham 2012-03-21 18:10:01 EDT
katello commit - c145cfc9e71876952540b4fe7db489643f1eb1dc
Comment 7 Og Maciel 2012-03-23 10:41:01 EDT
Verified:
* candlepin-0.5.26-1.el6.noarch
* candlepin-tomcat6-0.5.26-1.el6.noarch
* katello-0.1.306-1.el6.noarch
* katello-all-0.1.306-1.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.4-1.el6.noarch
* katello-cli-0.1.107-1.el6.noarch
* katello-cli-common-0.1.107-1.el6.noarch
* katello-common-0.1.306-1.el6.noarch
* katello-configure-0.1.104-1.el6.noarch
* katello-glue-candlepin-0.1.306-1.el6.noarch
* katello-glue-foreman-0.1.306-1.el6.noarch
* katello-glue-pulp-0.1.306-1.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.8-1.el6.noarch
* pulp-1.0.0-4.el6.noarch
* pulp-common-1.0.0-4.el6.noarch
* pulp-selinux-server-1.0.0-4.el6.noarch
Comment 8 errata-xmlrpc 2012-05-15 15:08:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0664.html
Comment 9 Mike McCune 2013-08-16 14:10:27 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.